Subject: bug#17814: 24.3.91; better string manipulation in subr-x

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Jun 2014 16:44:12 -0400

> I change the string-trim defined using defun from defsubst, as its
> string literal is somewhat big (Actually I suspect most of other
> functions would also be better if defined by defun).

The use of `defsubst' is so that subr-x.el is not needed at run-time.

        Stefan